@use "theme";

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Montserrat", sans-serif;
    font-weight: theme.$fontWeightSemiBold;
    line-height: theme.$lineHeightHeading;
    margin-top: 0;
    margin-bottom: .5em;
}

h1 {
    font-size: theme.$fontSizeLarge;

    @media only screen and (min-width: theme.$sm) {
        font-size: theme.$fontSizeXLarge;
    }
}

h2 {
    font-size: theme.$fontSizeMedium;

    @media only screen and (min-width: theme.$sm) {
        font-size: theme.$fontSizeLarge;
    }
}

h3 {
    font-size: theme.$fontSizeMedium;
    font-weight: theme.$fontWeightSemiBold;
}

h4 {
    font-weight: theme.$fontWeightSemiBold;
}

p {
    font-size: theme.$fontSizeMedium;
    margin: 0 0 theme.$spacing05 0;
}

small {
    font-size: theme.$fontSizeSmall;
}

abbr[title],
span[title] {
    text-decoration: dotted underline;
}
